bdi4jade.plan

## Enum Plan.EndState

- java.lang.Object
- - java.lang.Enum<Plan.EndState>
  - - bdi4jade.plan.Plan.EndState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Plan.EndState>
  Enclosing interface:
    Plan

      public static enum Plan.EndState
      extends java.lang.Enum<Plan.EndState>

  This enumeration represents the possible end states of a plan execution.
  Author:
    Ingrid Nunes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED`
    `SUCCESSFUL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Plan.EndState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Plan.EndState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final Plan.EndState FAILED

    - #### SUCCESSFUL

          public static final Plan.EndState SUCCESSFUL

  - ### Method Detail

    - #### values

          public static Plan.EndState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Plan.EndState c : Plan.EndState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Plan.EndState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null